
"use strict";

let StartTrajectory = require('./StartTrajectory.js')
let SwitchToAutomatic = require('./SwitchToAutomatic.js')
let SetPIDParams = require('./SetPIDParams.js')
let ResetController = require('./ResetController.js')
let GetMBSMControllerParams = require('./GetMBSMControllerParams.js')
let InitWaypointsFromFile = require('./InitWaypointsFromFile.js')
let GetWaypoints = require('./GetWaypoints.js')
let SetSMControllerParams = require('./SetSMControllerParams.js')
let GoTo = require('./GoTo.js')
let GetPIDParams = require('./GetPIDParams.js')
let SetMBSMControllerParams = require('./SetMBSMControllerParams.js')
let ClearWaypoints = require('./ClearWaypoints.js')
let GetSMControllerParams = require('./GetSMControllerParams.js')
let InitWaypointSet = require('./InitWaypointSet.js')
let InitRectTrajectory = require('./InitRectTrajectory.js')
let Hold = require('./Hold.js')
let GoToIncremental = require('./GoToIncremental.js')
let SwitchToManual = require('./SwitchToManual.js')
let InitHelicalTrajectory = require('./InitHelicalTrajectory.js')
let IsRunningTrajectory = require('./IsRunningTrajectory.js')
let AddWaypoint = require('./AddWaypoint.js')
let InitCircularTrajectory = require('./InitCircularTrajectory.js')

module.exports = {
  StartTrajectory: StartTrajectory,
  SwitchToAutomatic: SwitchToAutomatic,
  SetPIDParams: SetPIDParams,
  ResetController: ResetController,
  GetMBSMControllerParams: GetMBSMControllerParams,
  InitWaypointsFromFile: InitWaypointsFromFile,
  GetWaypoints: GetWaypoints,
  SetSMControllerParams: SetSMControllerParams,
  GoTo: GoTo,
  GetPIDParams: GetPIDParams,
  SetMBSMControllerParams: SetMBSMControllerParams,
  ClearWaypoints: ClearWaypoints,
  GetSMControllerParams: GetSMControllerParams,
  InitWaypointSet: InitWaypointSet,
  InitRectTrajectory: InitRectTrajectory,
  Hold: Hold,
  GoToIncremental: GoToIncremental,
  SwitchToManual: SwitchToManual,
  InitHelicalTrajectory: InitHelicalTrajectory,
  IsRunningTrajectory: IsRunningTrajectory,
  AddWaypoint: AddWaypoint,
  InitCircularTrajectory: InitCircularTrajectory,
};
